#include <iostream>
#include <vector>

using namespace std;

void quicksort(vector<int> &niz, int l, int d)
{
    if(l >= d)
        return;
    
    int pivot = niz[l];
    
    int s = l;
    
    for(int i = l+1; i <= d; i++)
    {
        if(niz[i] <= pivot)
        {
            s++;
            swap(niz[i], niz[s]);
        }
    }
    
    swap(niz[l], niz[s]);
    
    quicksort(niz, l, s-1);
    quicksort(niz, s+1, d);
}

int main()
{
    vector<int> niz;
    
    int n;
    
    cin >> n;
    
    if(n <= 0)
        return -1;
    
    niz.resize(n);
    
    for(int i = 0; i < n; i++)
    {
        cin >> niz[i];
    }
    
    quicksort(niz, 0, n-1);
    
    for(int i = 0; i < n; i++)
        cout << niz[i] << " ";
    
    cout << endl;
 
    return 0;
}