#include <iostream>
#include <vector>

using namespace std;

void mergesort(vector<int> &niz, int l, int d)
{
    if(d <= l)
        return;
    
    int s = l + (d - l)/2;
    
    mergesort(niz, l, s);
    mergesort(niz, s+1, d);
    
    int n1 = s-l+1;
    int n2 = d-s;
    
    vector<int> L;
    L.resize(n1);
    
    vector<int> D;
    D.resize(n2);
    
    for(int i = 0; i < n1; i++)
        L[i] = niz[l+i];
    
    for(int i = 0; i <= n2; i++)
        D[i] = niz[i + s+1];
    
    int lp = 0;
    int dp = 0;
    int k = l;
    
    while(lp < n1 && dp < n2)
    {
        if(L[lp] <= D[dp])
            niz[k++] = L[lp++];
        else
            niz[k++] = D[dp++];
    }
    
    while(lp < n1)
        niz[k++] = L[lp++];
    
    while(dp < n2)
        niz[k++] = D[dp++];
}

int main()
{
    vector<int> niz;
    
    int n;
    
    cin >> n;
    
    if(n <= 0)
        return -1;
    
    niz.resize(n);
    
    for(int i = 0; i < n; i++)
        cin >> niz[i];
    
    mergesort(niz, 0, n-1);
    
    for(int i = 0; i < n; i++)
        cout << niz[i] << " ";
    
    cout << endl;
 
    return 0;
}